/*
 * Created on May 13, 2004
 *
 */
package eShopper;

import javax.swing.*;
import java.awt.*;
import java.io.*;

/**
 * This is the Help Contents window, which contains eShopper's online help.
 * 
 * @author Nathan
 *
 */
public class HelpContentsWindow extends JFrame {
	
	JEditorPane editorPane;
	JScrollPane editorScrollPane;

	public HelpContentsWindow(){
		setSize(600, 600);
		setTitle("Help");
		
		editorPane = new JEditorPane();
		editorPane.setEditable(false);
		java.net.URL helpURL = eShopper.class.getResource(
										"images/boondock.html");
		if (helpURL != null) {
			try {
				editorPane.setPage(helpURL);
			} catch (IOException e) {
				System.err.println("Attempted to read a bad URL: " + helpURL);
			}
		} else {
			System.err.println("Couldn't find file: images/boondock.html");
		}

//		  Put the editor pane in a scroll pane.
		editorScrollPane = new JScrollPane(editorPane);
		editorScrollPane.setVerticalScrollBarPolicy(
						JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
		editorScrollPane.setMaximumSize(new Dimension(600, 600));
		editorScrollPane.setPreferredSize(new Dimension(600, 600));
		editorScrollPane.setMinimumSize(new Dimension(600, 600));
		editorScrollPane.getViewport().add(editorPane);
		getContentPane().add(editorScrollPane);

	}
}
